Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sync

This API extracts information from the user’s KTP card image using OCR and returns the extracted data in response.

API Description

KTP OCR Sync Call

POST https://{vida.host}/verify/v1/ktp/ocr/transaction

Headers

Name
Type
Description

Authorization*

OAuth access token.

Get the token by calling the

Get Access Token API

Content-Type*

application/json

Format type of request body

Request Body

Name
Type
Description

ktp_image*

String

Data URI scheme, Base64 encoded KTP image.

Supported image formats: JPG/JPEG.

Sample request json

Sample Request
{
    "parameters": {
        "ktp_image": "base64 encoded.."
}
}

API Response

OCR Request Successful

OCR API Request Successful.

HTTP Status Code: 200

JSON Response

Invalid Image Extension

Invalid image extension type Recommendation: ensure to give KTP image file extension JPEG/JPG.

HTTP Status Code: 400

JSON Response

Invalid KTP Image Format

Invalid image format due to below reasons:

  • The KTP object resolution is less than 300x400 pixels

  • The KTP object resolution is greater than 3000x4000 pixels

  • No text in the KTP image

Recommendation: Ensure to give KTP image input as the specific recommendation

HTTP Status Code: 400

JSON Response

Image File Size Error

The image file size is greater than 2 MB.

Recommendation: ensure to give image file size less than 2 MB

HTTP Status Code: 400

JSON Response

KTP OCR Sync Call

POST https://{vida.host}/verify/v1/ktp/ocr/transaction

Headers

Name
Type
Description

Authorization*

3szVklNVpfJL

Content-Type*

application/json

QNRmJHAy55OO

Request Body

Name
Type
Description

ktp_image*

String

fRUTRr5l3FPA

Error Response

Bad Request Invalid Image Extension

HTTP Status Code: 400

Error Response

Bad Request Invalid image format due to some reasons

The KTP object resolution is less than 300x400 pixels. The KTP object resolution is greater than 3000x4000 pixels No text in the KTP image

Recommendation: ensure to give KTP image input as the specific recommendation

HTTP Status Code: 400

Error Response

Bad Request The image file size is greater than 2 MB

HTTP Status Code: 400

Error Response

Last updated